Index: src/mlx/acft.py
===================================================================
--- src/mlx/acft.py	(revision 141)
+++ src/mlx/acft.py	(revision 150)
@@ -351,5 +351,5 @@
         self.logger.message(aircraftState.timestamp,
                             "Fuel: left=%.0f kg - centre=%.0f kg - right=%.0f kg" % \
-                            (aircraftState.fuel[1], aircraftState.fuel[0],
+                            (aircraftState.fuel[0], aircraftState.fuel[1],
                              aircraftState.fuel[2]))
         self.logger.message(aircraftState.timestamp,
@@ -457,7 +457,6 @@
         """Log the amount of fuel"""
         self.logger.message(aircraftState.timestamp,
-                            "Fuel: left=%.0f kg - centre=%.0f kg - right=%.0f kg" % \
-                            (aircraftState.fuel[1], aircraftState.fuel[0],
-                             aircraftState.fuel[2]))
+                            "Fuel: left=%.0f kg - right=%.0f kg" % \
+                            (aircraftState.fuel[0], aircraftState.fuel[1]))
         self.logger.message(aircraftState.timestamp,
                             "Total fuel: %.0f kg" % (sum(aircraftState.fuel),))
@@ -490,5 +489,5 @@
         self.logger.message(aircraftState.timestamp,
                             "Fuel: left=%.0f kg - centre=%.0f kg - right=%.0f kg" % \
-                            (aircraftState.fuel[1], aircraftState.fuel[0],
+                            (aircraftState.fuel[0], aircraftState.fuel[1],
                              aircraftState.fuel[2]))
         self.logger.message(aircraftState.timestamp,
@@ -546,5 +545,5 @@
         self.logger.message(aircraftState.timestamp,
                             "Fuel: left=%.0f kg - centre=%.0f kg - right=%.0f kg" % \
-                            (aircraftState.fuel[1], aircraftState.fuel[0],
+                            (aircraftState.fuel[0], aircraftState.fuel[1],
                              aircraftState.fuel[2]))
         self.logger.message(aircraftState.timestamp,
@@ -581,5 +580,5 @@
         self.logger.message(aircraftState.timestamp,
                             "Fuel: left=%.0f kg - centre=%.0f kg - right=%.0f kg" % \
-                            (aircraftState.fuel[1], aircraftState.fuel[0],
+                            (aircraftState.fuel[0], aircraftState.fuel[1],
                              aircraftState.fuel[2]))
         self.logger.message(aircraftState.timestamp,
@@ -622,6 +621,6 @@
         self.logger.message(aircraftState.timestamp,
                             "Fuel: left aux=%.0f kg - left=%.0f kg - right=%.0f kg - right aux=%.0f kg" % \
-                            (aircraftState.fuel[2], aircraftState.fuel[0],
-                             aircraftState.fuel[1], aircraftState.fuel[3]))
+                            (aircraftState.fuel[0], aircraftState.fuel[1],
+                             aircraftState.fuel[2], aircraftState.fuel[3]))
         self.logger.message(aircraftState.timestamp,
                             "Total fuel: %.0f kg" % (sum(aircraftState.fuel),))
@@ -659,7 +658,7 @@
         self.logger.message(aircraftState.timestamp,
                             "Fuel: left aux=%.0f kg - left tip=%.0f kg - centre= %.0f kg - right tip=%.0f kg - right aux=%.0f kg - external 1=%.0f kg - external 2=%.0f kg" % \
-                            (aircraftState.fuel[2], aircraftState.fuel[1],
-                             aircraftState.fuel[0], 
-                             aircraftState.fuel[3], aircraftState.fuel[4],
+                            (aircraftState.fuel[1], aircraftState.fuel[0],
+                             aircraftState.fuel[2], 
+                             aircraftState.fuel[4], aircraftState.fuel[3],
                              aircraftState.fuel[5], aircraftState.fuel[6]))
         self.logger.message(aircraftState.timestamp,
@@ -695,7 +694,7 @@
         self.logger.message(aircraftState.timestamp,
                             "Fuel: left aux=%.0f kg - left=%.0f kg - centre=%.0f kg - centre 2=%.0f kg - right=%.0f kg - right aux=%.0f kg" % \
-                            (aircraftState.fuel[4], aircraftState.fuel[1],
-                             aircraftState.fuel[0], aircraftState.fuel[3], 
-                             aircraftState.fuel[2], aircraftState.fuel[5]))
+                            (aircraftState.fuel[0], aircraftState.fuel[1],
+                             aircraftState.fuel[2], aircraftState.fuel[3], 
+                             aircraftState.fuel[4], aircraftState.fuel[5]))
         self.logger.message(aircraftState.timestamp,
                             "Total fuel: %.0f kg" % (sum(aircraftState.fuel),))
